{
    "name" : "一料多款",
    "appid" : "__UNI__41D6880",
    "description" : "一料多款",
    "versionName" : "1.1.0",
    "versionCode" : "110",
    "transformPx" : false,
    "app-plus" : {
        "compatible": {
            "ignoreVersion": true
//            true表示忽略版本检查提示框，HBuilderX1.9.0及以上版本支持
        },
        /* 5+App特有相关 */
        "usingComponents" : true,
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        "safearea" : {
            //APP底部安全区域
            "background" : "#fff",
            "bottom" : {
                "offset" : "auto"
            }
        },
        "compilerVersion" : 3,
        "nvueCompiler" : "uni-app",
        "modules" : {
            "Maps" : {},
            "OAuth" : {},
            "Payment" : {},
            "Share" : {},
            "VideoPlayer" : {},
            "Geolocation" : {}
        },
        /* 模块配置 */
        "distribute" : {
            /* 应用发布信息 */
            "android" : {
                /* android打包配置 */
                "permissions" : [
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_CONTACTS\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_CONTACTS\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ],
                "abiFilters" : [ "armeabi-v7a", "arm64-v8a", "x86" ],
                "autoSdkPermissions" : true
            },
            "ios" : {
                "capabilities" : {
                    "entitlements" : {
                        "com.apple.developer.associated-domains" : [ "applinks:m.*****.top" ]
                    }
                },
                "privacyDescription" : {
                    "NSLocationAlwaysAndWhenInUseUsageDescription" : "需要同意获取您的位置信息才能展示附近信息",
                    "NSLocationAlwaysUsageDescription" : "需要同意获取您的位置信息才能展示附近信息",
                    "NSLocationWhenInUseUsageDescription" : "需要同意获取您的位置信息才能展示附近信息",
                    "NSPhotoLibraryAddUsageDescription" : "需要同意访问您的相册才能保存图片",
                    "NSPhotoLibraryUsageDescription" : "需要同意访问您的相册才能选取图片",
                    "NSCameraUsageDescription" : "需要同意访问您的摄像头才能拍摄照片",
                    "NSUserTrackingUsageDescription" : "请放心,开启权限不会获取您在其他站点的隐私信息,该权限仅用于标识设备并保障服务安全与提升浏览体验"
                }
            },
            /* ios打包配置 */
            "sdkConfigs" : {
                "geolocation" : {}
            }
        },
        "nvueLaunchMode" : ""
    },
    /* SDK配置 */
    "quickapp" : {},
    /* 快应用特有相关 */
    "mp-weixin" : {
        /* 微信小程序特有相关 */
        "appid" : "",
        "setting" : {
            "urlCheck" : false
        },
        "usingComponents" : true
    },
    "mp-alipay" : {
        "usingComponents" : true
    },
    "mp-baidu" : {
        "usingComponents" : true
    },
    "mp-toutiao" : {
        "usingComponents" : true
    },
    "mp-qq" : {
        "usingComponents" : true
    },
    "h5" : {
        "template" : "../public/index.html",
        "router" : {
            "mode" : "hash",
            "base" : ""
        },
        "optimization" : {
            "treeShaking" : {
                "enable" : true
            }
        },
        "title" : "商城",
        "devServer" : {
            "https" : false,
            "port" : "",
            "proxy" : {
                "/dev" : {
                    //					"target" : "http://47.96.138.212:8321",
                    "target" : "http://10.10.10.31/",
                    "changeOrigin" : true,
                    "pathRewrite" : {
                        "^/dev" : ""
                    }
                }
            }
        }
    }
}
